Debian Bug report logs - #612854
About 1/7 of entries not working

Package: mirrors; Maintainer for mirrors is Debian Mirrors Team <mirrors@debian.org>;

Reported by: Eduard Bloch <blade@debian.org>

Date: Fri, 11 Feb 2011 07:36:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612854; Package www.debian.org. (Fri, 11 Feb 2011 07:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 11 Feb 2011 07:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wrong mirror information for mirror.cc.columbia.edu
Date: Fri, 11 Feb 2011 08:33:38 +0100
Package: www.debian.org
Severity: normal

Hello,

somebody needs to edit webwml/english/mirror/Mirrors.masterlist and
change the entry for mirror.cc.columbia.edu/pub/linux/debian . It's no
longer working, the directory moved one level down, and the path should
be changed to:

Archive-ftp: /debian/debian/
Archive-http: /debian/debian/
Archive-rsync: debian/debian/

Please reassign accordingly.

Regards,
Eduard.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-rc4-git2 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
<Joey> Toll.
<Joey> Ich Idiot.
<Joey> Ich hab das gleiche Programm zweimal geschrieben.
<Joey> Super.
<Joey> Es heißt sogar gleich.
<Joey> Und kann ungefähr gleich viel.




Reply sent to Luca Capello <luca@pca.it>:
You have taken responsibility. (Fri, 11 Feb 2011 09:15:13 GMT) Full text and rfc822 format available.

Notification sent to Eduard Bloch <blade@debian.org>:
Bug acknowledged by developer. (Fri, 11 Feb 2011 09:15:13 GMT) Full text and rfc822 format available.

Message #10 received at 612854-done@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Eduard Bloch <blade@debian.org>
Cc: 612854-done@bugs.debian.org
Subject: Re: Bug#612854: wrong mirror information for mirror.cc.columbia.edu
Date: Fri, 11 Feb 2011 10:12:14 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Fri, 11 Feb 2011 08:33:38 +0100, Eduard Bloch wrote:
> somebody needs to edit webwml/english/mirror/Mirrors.masterlist and
> change the entry for mirror.cc.columbia.edu/pub/linux/debian . It's no
> longer working, the directory moved one level down, and the path should
> be changed to:
>
> Archive-ftp: /debian/debian/
> Archive-http: /debian/debian/
> Archive-rsync: debian/debian/

I could not find that mirror definition from Columbia on the current
mirror list:

  <http://cvs.debian.org/webwml/webwml/english/mirror/Mirrors.masterlist?view=markup&pathrev=HEAD>

And that mirror definition is wrong, there is a debian/ folder more:
=====
gismo:/home/luca# apt-cache policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 990 http://mirror.cc.columbia.edu/pub/linux/debian/debian/ sid/contrib amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib
     origin mirror.cc.columbia.edu
 990 http://mirror.cc.columbia.edu/pub/linux/debian/debian/ sid/non-free amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free
     origin mirror.cc.columbia.edu
 990 http://mirror.cc.columbia.edu/pub/linux/debian/debian/ sid/main amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main
     origin mirror.cc.columbia.edu
Pinned packages:
gismo:/home/luca#
=====

Nevertheless, please note that during DebConf10 the Columbia Mirror
Admins changed their configuration to a more standard one to support
cdn.debian.net as well:

  Message-ID: <4CEB4773-7B97-47C0-9A06-6F68AFDEE059@columbia.edu>
  URL: <http://lists.debian.org/msgid-search/%3c4CEB4773-7B97-47C0-9A06-6F68AFDEE059%40columbia.edu%3e>

The mirror lists was changed accordingly on 2010-08-06T19:54:22 and this
is the one present in the current mirror webpage:

  <http://cvs.debian.org/webwml/webwml/english/mirror/Mirrors.masterlist?r1=1.1633&r2=1.1634>

FWIW the old mirror path is still working.

I took the liberty to close this bug given that there is no bug.  Please
excuse me if I missed something or I was wrong (but all of the above has
been verified before sending this email).

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612854; Package www.debian.org. (Fri, 11 Feb 2011 23:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 11 Feb 2011 23:06:10 GMT) Full text and rfc822 format available.

Message #15 received at 612854@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: 612854@bugs.debian.org
Cc: Luca Capello <luca@pca.it>
Subject: Re: Bug#612854 closed by Luca Capello <luca@pca.it> (Re: Bug#612854: wrong mirror information for mirror.cc.columbia.edu)
Date: Sat, 12 Feb 2011 00:03:40 +0100
#include <hallo.h>
* Debian Bug Tracking System [Fri, Feb 11 2011, 09:15:13AM]:
> This is an automatic notification regarding your Bug report
> which was filed against the www.debian.org package:
> 
> #612854: wrong mirror information for mirror.cc.columbia.edu
> 
> It has been closed by Luca Capello <luca@pca.it>.

Uhm...

> On Fri, 11 Feb 2011 08:33:38 +0100, Eduard Bloch wrote:
> > somebody needs to edit webwml/english/mirror/Mirrors.masterlist and
> > change the entry for mirror.cc.columbia.edu/pub/linux/debian . It's no
> > longer working, the directory moved one level down, and the path should
> > be changed to:
> >
> > Archive-ftp: /debian/debian/
> > Archive-http: /debian/debian/
> > Archive-rsync: debian/debian/
> 
> I could not find that mirror definition from Columbia on the current
> mirror list:
> 
>   <http://cvs.debian.org/webwml/webwml/english/mirror/Mirrors.masterlist?view=markup&pathrev=HEAD>

Because that it's what IMHO should be set therein - currently it just
contains /debian/ which is wrong.

> And that mirror definition is wrong, there is a debian/ folder more:

Exactly.

> gismo:/home/luca# apt-cache policy
> Package files:
>  100 /var/lib/dpkg/status
>      release a=now
>  990 http://mirror.cc.columbia.edu/pub/linux/debian/debian/ sid/contrib amd64 Packages
...
> Nevertheless, please note that during DebConf10 the Columbia Mirror
> Admins changed their configuration to a more standard one to support
> cdn.debian.net as well:
> 
>   Message-ID: <4CEB4773-7B97-47C0-9A06-6F68AFDEE059@columbia.edu>
>   URL: <http://lists.debian.org/msgid-search/%3c4CEB4773-7B97-47C0-9A06-6F68AFDEE059%40columbia.edu%3e>
> 
> The mirror lists was changed accordingly on 2010-08-06T19:54:22 and this
> is the one present in the current mirror webpage:
> 
>   <http://cvs.debian.org/webwml/webwml/english/mirror/Mirrors.masterlist?r1=1.1633&r2=1.1634>

So there was a .../debian/debian subdir before and after that change
there is one level missing.

And I, for one would have kept the old path in some X-Old-Http: field,
just for reference purposes.

> FWIW the old mirror path is still working.
> 
> I took the liberty to close this bug given that there is no bug.  Please
> excuse me if I missed something or I was wrong (but all of the above has
> been verified before sending this email).

I will excuse it sooner if someone changes it to become consistent with the
remaining entries of Mirrors.masterlist ;-).

Regards,
Eduard.




Bug reassigned from package 'www.debian.org' to 'mirrors'. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sat, 12 Feb 2011 14:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mirrors Team <mirrors@debian.org>:
Bug#612854; Package mirrors. (Sat, 12 Feb 2011 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Mirrors Team <mirrors@debian.org>. (Sat, 12 Feb 2011 19:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 612854@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: 612854@bugs.debian.org
Cc: Luca Capello <luca@pca.it>
Subject: Bug#612854: wrong mirror information for mirror.cc.columbia.edu
Date: Sat, 12 Feb 2011 20:33:29 +0100
[Message part 1 (text/plain, inline)]
reopen 612854
retitle 612854 About 1/7 of entries not working
thanks

I just adopted my little script which looks for the availability of
Ubuntu information to Debian mirror data and the result is quite
disturbing. About 80 of 545 listed mirrors (resp. the HTTP URLs
representing the mirror data) are not reachable or not containing Debian
archive data.

List of bad mirrors attached. IMHO Mirrors.masterlist needs a serious
cleanup. I volunteer for the task if you wish me to do it.

Regards,
Eduard.

-- 
Naja, Garbage Collector eben. Holt den Müll sogar vom Himmel.
       (Heise Trollforum über Java in der Flugzeugsteuerung)
[badmirrors.txt (text/plain, attachment)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Feb 2011 19:36:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'About 1/7 of entries not working' from 'wrong mirror information for mirror.cc.columbia.edu' Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. (Sat, 12 Feb 2011 19:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mirrors Team <mirrors@debian.org>:
Bug#612854; Package mirrors. (Sun, 13 Feb 2011 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mirrors Team <mirrors@debian.org>. (Sun, 13 Feb 2011 01:21:03 GMT) Full text and rfc822 format available.

Message #31 received at 612854@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Eduard Bloch <edi@gmx.de>, 612854@bugs.debian.org
Cc: Luca Capello <luca@pca.it>
Subject: Re: Bug#612854: wrong mirror information for mirror.cc.columbia.edu
Date: Sun, 13 Feb 2011 02:20:26 +0100
Hi,

(Luca, don't know whether you want to be kept cc)

On Sat, Feb 12, 2011 at 08:33:29PM +0100, Eduard Bloch wrote:
> reopen 612854
> retitle 612854 About 1/7 of entries not working
> thanks

> I just adopted my little script which looks for the availability of
> Ubuntu information to Debian mirror data and the result is quite
> disturbing. About 80 of 545 listed mirrors (resp. the HTTP URLs
> representing the mirror data) are not reachable or not containing Debian
> archive data.
> 
> List of bad mirrors attached. IMHO Mirrors.masterlist needs a serious
> cleanup. I volunteer for the task if you wish me to do it.

Please refrain from giving false figure, it seems seems your script
misinterprent the list contents:
- tested Alias as if it were an alternate Site name, while it's intended to be
  a clue about the trace file to be searched. (e.g.: debian.proxad.net)
- still test disabled mirrors, i.e ignore X-Archive-http status, which says the
  mirror is not valid through this path (e.g: cudlug.cudenver.edu) 
- other cases like ftp.tu-chemnitz.de, which is ok, I don't know why your
  script considers it nok (not using apache listing ?)

I'm sure few mirrors in the list are indeed not working, but that's certainly
not 1/7.

http://mirror.debian.org/status.html (whose perl code is not happy with ftp
with its recent move to bellini)

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mirrors Team <mirrors@debian.org>:
Bug#612854; Package mirrors. (Sun, 13 Feb 2011 11:28:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Mirrors Team <mirrors@debian.org>. (Sun, 13 Feb 2011 11:28:01 GMT) Full text and rfc822 format available.

Message #36 received at 612854@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Simon Paillard <spaillard@debian.org>
Cc: 612854@bugs.debian.org, Luca Capello <luca@pca.it>
Subject: Re: Bug#612854: wrong mirror information for mirror.cc.columbia.edu
Date: Sun, 13 Feb 2011 12:20:29 +0100
[Message part 1 (text/plain, inline)]
#include <hallo.h>
* Simon Paillard [Sun, Feb 13 2011, 02:20:26AM]:
> Hi,
> 
> (Luca, don't know whether you want to be kept cc)
> 
> On Sat, Feb 12, 2011 at 08:33:29PM +0100, Eduard Bloch wrote:
> > reopen 612854
> > retitle 612854 About 1/7 of entries not working
> > thanks
> 
> > I just adopted my little script which looks for the availability of
> > Ubuntu information to Debian mirror data and the result is quite
> > disturbing. About 80 of 545 listed mirrors (resp. the HTTP URLs
> > representing the mirror data) are not reachable or not containing Debian
> > archive data.
> > 
> > List of bad mirrors attached. IMHO Mirrors.masterlist needs a serious
> > cleanup. I volunteer for the task if you wish me to do it.
> 
> Please refrain from giving false figure, it seems seems your script
> misinterprent the list contents:
> - tested Alias as if it were an alternate Site name, while it's intended to be
>   a clue about the trace file to be searched. (e.g.: debian.proxad.net)
> - still test disabled mirrors, i.e ignore X-Archive-http status, which says the
>   mirror is not valid through this path (e.g: cudlug.cudenver.edu) 
> - other cases like ftp.tu-chemnitz.de, which is ok, I don't know why your
>   script considers it nok (not using apache listing ?)

Bien sûr, let's filter them then. The script looks for relevant contents
of a Release file. Now 17 are still remaining, see
attachment. See second attachment for the probing script.

> I'm sure few mirrors in the list are indeed not working, but that's certainly
> not 1/7.
> 
> http://mirror.debian.org/status.html (whose perl code is not happy with ftp
> with its recent move to bellini)

Ok... but I only cared about HTTP mirrors this time. Some are simply
down, some seem to have stopped synching a long time ago, some don't
have the debian directory anymore and some have the contents in the
known directory but one level below, like
http://debian.comu.edu.tr/debian/dists/stable/ and like
http://mirror.cc.columbia.edu/debian/ did when I reported the original
problem (looks like somebody fixed it in the meantime).

Regards,
Eduard.
[badmirrors.txt (text/plain, attachment)]
[debsplit.pl (text/x-perl, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:12:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.